#-------------------------------------------------------------------------------
# File: sat_xml_fcam.inc
# GENERATED BY fglwsdl 1536676400
#-------------------------------------------------------------------------------
# THIS FILE WAS GENERATED. DO NOT MODIFY.
#-------------------------------------------------------------------------------

GLOBALS

#
#-------------------------------------------------------------------------------
# XML Type definitions 
#-------------------------------------------------------------------------------
#

#
# TYPE : tVersionType
#
TYPE tVersionType STRING ATTRIBUTE(XSDPattern="[0-9]{1,3}",XSTypeName="VersionType",XSTypeNamespace="http://www.sat.gob.gt/dte/fel/CompCambiaria/0.1.0")
#-------------------------------------------------------------------------------

#
# TYPE : tNonNegativeFloat
#
TYPE tNonNegativeFloat SMALLFLOAT ATTRIBUTE(XSDMinInclusive="0",XSTypeName="NonNegativeFloat",XSTypeNamespace="http://www.sat.gob.gt/dte/fel/CompCambiaria/0.1.0")
#-------------------------------------------------------------------------------




#-------------------------------------------------------------------------------

# VARIABLE : AbonosFacturaCambiaria
DEFINE AbonosFacturaCambiaria RECORD ATTRIBUTE(XMLSequence,XMLName="AbonosFacturaCambiaria",XMLNamespace="http://www.sat.gob.gt/dte/fel/CompCambiaria/0.1.0")
         Abono DYNAMIC ARRAY ATTRIBUTE(XMLList) OF RECORD ATTRIBUTE(XMLSequence,XMLName="Abono")
             NumeroAbono INTEGER ATTRIBUTE(XSDTotalDigits="3",XMLName="NumeroAbono"),
             FechaVencimiento DATE ATTRIBUTE(XMLName="FechaVencimiento"),
             MontoAbono tNonNegativeFloat ATTRIBUTE(XMLName="MontoAbono")
           END RECORD,
         Version tVersionType ATTRIBUTE(XMLName="Version",XMLAttribute)
       END RECORD

END GLOBALS
